Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.itl.cas
Interface CasCrawler

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  CasCrawlerServiceSoapBindingStub

    public interface CasCrawler

extends java.rmi.Remote

Method Summary
`CreateCrawlResponse` | `createCrawl(CreateCrawl parameters)` The createCrawl operation creates a new crawl within the service, given a CrawlId and a CrawlConfig.
`DeleteCrawlResponse` | `deleteCrawl(DeleteCrawl parameters)` The deleteCrawl operation deletes the crawl with the specified CrawlId.
`GetAllMetricsResponse` | `getAllMetrics(GetAllMetrics parameters)` The getAllMetrics operation returns metrics for all crawls.
`GetCrawlConfigResponse` | `getCrawlConfig(GetCrawlConfig parameters)` The getCrawlConfig operation fetches the CrawlConfig for the crawl with the specified CrawlId.
`GetMetricsResponse` | `getMetrics(GetMetrics parameters)` The getMetrics operation returns a list of metrics from the last (or current) run of the crawl with the specified CrawlId.
`GetServerInfoResponse` | `getServerInfo(GetServerInfo parameters)` The getServerInfo operation returns a list of server properties
`GetStatusResponse` | `getStatus(GetStatus parameters)` The getStatus operation returns the current running status of the crawl with the specified CrawlId.
`ListContentSourcesResponse` | `listContentSources(ListContentSources parameters)` The listContentSources operation lists the sources currently defined within the service.
`ListCrawlsResponse` | `listCrawls(ListCrawls parameters)` The listCrawls operation lists the crawls currently defined within the service.
`StartCrawlResponse` | `startCrawl(StartCrawl parameters)` The startCrawl operation starts the crawl with the specified CrawlId.
`StopCrawlResponse` | `stopCrawl(StopCrawl parameters)` The stopCrawl operation stops the crawl with the specified CrawlId.
`UpdateCrawlResponse` | `updateCrawl(UpdateCrawl parameters)` The updateCrawl operation updates the CrawlConfig information describing the crawl with the specified CrawlId.

Method Detail

### createCrawl

    CreateCrawlResponse createCrawl(CreateCrawl parameters)
                                    throws java.rmi.RemoteException,
                                           CrawlAlreadyExistsFault,
                                           InvalidCrawlConfigFault

  The createCrawl operation creates a new crawl within the service, given a CrawlId and a CrawlConfig.

  Throws:
    `java.rmi.RemoteException`
    `CrawlAlreadyExistsFault`
    `InvalidCrawlConfigFault`

### listCrawls

    ListCrawlsResponse listCrawls(ListCrawls parameters)
                                  throws java.rmi.RemoteException

  The listCrawls operation lists the crawls currently defined within the service.

  Throws:
    `java.rmi.RemoteException`

### getServerInfo

    GetServerInfoResponse getServerInfo(GetServerInfo parameters)
                                        throws java.rmi.RemoteException

  The getServerInfo operation returns a list of server properties

  Throws:
    `java.rmi.RemoteException`

### startCrawl

    StartCrawlResponse startCrawl(StartCrawl parameters)
                                  throws java.rmi.RemoteException,
                                         ItlFault,
                                         CrawlNotFoundFault,
                                         InvalidCrawlConfigFault,
                                         CrawlInProgressFault

  The startCrawl operation starts the crawl with the specified CrawlId.

  Throws:
    `java.rmi.RemoteException`
    `ItlFault`
    `CrawlNotFoundFault`
    `InvalidCrawlConfigFault`
    `CrawlInProgressFault`

### stopCrawl

    StopCrawlResponse stopCrawl(StopCrawl parameters)
                                throws java.rmi.RemoteException,
                                       CrawlNotFoundFault

  The stopCrawl operation stops the crawl with the specified CrawlId.

  Throws:
    `java.rmi.RemoteException`
    `CrawlNotFoundFault`

### getCrawlConfig

    GetCrawlConfigResponse getCrawlConfig(GetCrawlConfig parameters)
                                          throws java.rmi.RemoteException,
                                                 CrawlNotFoundFault

  The getCrawlConfig operation fetches the CrawlConfig for the crawl with the specified CrawlId.

  Throws:
    `java.rmi.RemoteException`
    `CrawlNotFoundFault`

### getStatus

    GetStatusResponse getStatus(GetStatus parameters)
                                throws java.rmi.RemoteException,
                                       CrawlNotFoundFault

  The getStatus operation returns the current running status of the crawl with the specified CrawlId.

  Throws:
    `java.rmi.RemoteException`
    `CrawlNotFoundFault`

### deleteCrawl

    DeleteCrawlResponse deleteCrawl(DeleteCrawl parameters)
                                    throws java.rmi.RemoteException,
                                           ItlFault,
                                           CrawlNotFoundFault,
                                           CrawlInProgressFault

  The deleteCrawl operation deletes the crawl with the specified CrawlId.

  Throws:
    `java.rmi.RemoteException`
    `ItlFault`
    `CrawlNotFoundFault`
    `CrawlInProgressFault`

### updateCrawl

    UpdateCrawlResponse updateCrawl(UpdateCrawl parameters)
                                    throws java.rmi.RemoteException,
                                           CrawlNotFoundFault,
                                           InvalidCrawlConfigFault,
                                           CrawlInProgressFault

  The updateCrawl operation updates the CrawlConfig information describing the crawl with the specified CrawlId.

  Throws:
    `java.rmi.RemoteException`
    `CrawlNotFoundFault`
    `InvalidCrawlConfigFault`
    `CrawlInProgressFault`

### listContentSources

    ListContentSourcesResponse listContentSources(ListContentSources parameters)
                                                  throws java.rmi.RemoteException

  The listContentSources operation lists the sources currently defined within the service.

  Throws:
    `java.rmi.RemoteException`

### getMetrics

    GetMetricsResponse getMetrics(GetMetrics parameters)
                                  throws java.rmi.RemoteException,
                                         CrawlNotFoundFault

  The getMetrics operation returns a list of metrics from the last (or current) run of the crawl with the specified CrawlId.

  Throws:
    `java.rmi.RemoteException`
    `CrawlNotFoundFault`

### getAllMetrics

    GetAllMetricsResponse getAllMetrics(GetAllMetrics parameters)
                                        throws java.rmi.RemoteException

  The getAllMetrics operation returns metrics for all crawls.

  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: Content Acquisition System Web Service Stubs (casStubs)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:19-0500